package Entity;

import java.util.LinkedList;

public class VertexNode extends Node {
    //顶点上全部邻接点组成的链表
    private LinkedList<ArcNode> arcNodes;

    public VertexNode(int nodeID, double lon, double lat) {
        super(nodeID, lon, lat);
        arcNodes = new LinkedList<>();
    }

    public VertexNode() {
    }

    public LinkedList<ArcNode> getArcNodes() {
        return arcNodes;
    }

    public void setArcNodes(LinkedList<ArcNode> arcNodes) {
        this.arcNodes = arcNodes;
    }
}
